Skip to content
Start here

Get a submitted abuse report

client.AbuseReports.Submitted.Get(ctx, reportID, query) (*SubmittedGetResponse, error)
GET/accounts/{account_id}/abuse-reports/submitted/{report_id}

Retrieve a report submitted by the account.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
ParametersExpand Collapse
reportID string
query SubmittedGetParams
AccountID param.Field[string]

Cloudflare Account ID

maxLength32
ReturnsExpand Collapse
type SubmittedGetResponse struct{…}
ID string

Public report code.

Cdate Time

Time the report was submitted.

formatdate-time
DenialReason SubmittedGetResponseDenialReason

Submitter-safe reason for a denied report. Null when unavailable.

One of the following:
const SubmittedGetResponseDenialReasonUnableToConfirm SubmittedGetResponseDenialReason = "unable_to_confirm"
const SubmittedGetResponseDenialReasonIncompleteReport SubmittedGetResponseDenialReason = "incomplete_report"
const SubmittedGetResponseDenialReasonNotOnCloudflare SubmittedGetResponseDenialReason = "not_on_cloudflare"
const SubmittedGetResponseDenialReasonDuplicateReport SubmittedGetResponseDenialReason = "duplicate_report"
const SubmittedGetResponseDenialReasonContentRemoved SubmittedGetResponseDenialReason = "content_removed"
const SubmittedGetResponseDenialReasonReportDetailsMismatch SubmittedGetResponseDenialReason = "report_details_mismatch"
const SubmittedGetResponseDenialReasonNoAbuseFound SubmittedGetResponseDenialReason = "no_abuse_found"
const SubmittedGetResponseDenialReasonMissingOriginalWork SubmittedGetResponseDenialReason = "missing_original_work"
const SubmittedGetResponseDenialReasonDirectURLRequired SubmittedGetResponseDenialReason = "direct_url_required"
const SubmittedGetResponseDenialReasonWrongReportCategory SubmittedGetResponseDenialReason = "wrong_report_category"
const SubmittedGetResponseDenialReasonContentUnavailable SubmittedGetResponseDenialReason = "content_unavailable"
const SubmittedGetResponseDenialReasonLawEnforcementReferralRequired SubmittedGetResponseDenialReason = "law_enforcement_referral_required"
const SubmittedGetResponseDenialReasonDomainDisputeProcessRequired SubmittedGetResponseDenialReason = "domain_dispute_process_required"
Domain string

Domain identified in the report.

DsaAttestation bool

Whether the submitter provided the Digital Services Act attestation.

Status SubmittedGetResponseStatus

Status visible to the account that submitted the report.

One of the following:
const SubmittedGetResponseStatusSubmitted SubmittedGetResponseStatus = "submitted"
const SubmittedGetResponseStatusAccepted SubmittedGetResponseStatus = "accepted"
const SubmittedGetResponseStatusDenied SubmittedGetResponseStatus = "denied"
Type SubmittedGetResponseType

The abuse report type

One of the following:
const SubmittedGetResponseTypePhish SubmittedGetResponseType = "PHISH"
const SubmittedGetResponseTypeGen SubmittedGetResponseType = "GEN"
const SubmittedGetResponseTypeThreat SubmittedGetResponseType = "THREAT"
const SubmittedGetResponseTypeDmca SubmittedGetResponseType = "DMCA"
const SubmittedGetResponseTypeEmer SubmittedGetResponseType = "EMER"
const SubmittedGetResponseTypeTm SubmittedGetResponseType = "TM"
const SubmittedGetResponseTypeRegWho SubmittedGetResponseType = "REG_WHO"
const SubmittedGetResponseTypeNcsei SubmittedGetResponseType = "NCSEI"
const SubmittedGetResponseTypeNetwork SubmittedGetResponseType = "NETWORK"
URLs []string

URLs supplied with the report.

AgentName stringOptional

Authorized agent name supplied with the report.

Comments stringOptional

Additional comments supplied with the report.

Court stringOptional

The string “on” when a court proceeding applies to the report; otherwise omitted.

DestinationIPs []stringOptional

Destination IP addresses supplied with a network abuse report.

HostNotification stringOptional

Submitter preference for notifying the hosting provider.

Justification stringOptional

Evidence supplied with the report.

NcmecNotification stringOptional

Submitter preference for notifying NCMEC.

NcseiSubjectRepresentation boolOptional

Representation supplied for an NCSEI report.

OriginalWork stringOptional

Original work or targeted brand supplied with the report.

OwnerNotification stringOptional

Submitter preference for notifying the content owner.

PortsProtocols []stringOptional

Ports and protocols supplied with a network abuse report.

RegWhoRequest SubmittedGetResponseRegWhoRequestOptional

RDP-mandated fields for registrar WHOIS data disclosure requests.

RegWhoGoodFaithAffirmation bool

Affirmation that the request is made in good faith per RDP 10.2.4. Must be true.

RegWhoLawfulProcessingAgreement bool

Agreement to process data lawfully per RDP 10.2.5. Must be true.

RegWhoRequestType SubmittedGetResponseRegWhoRequestRegWhoRequestType

The type of WHOIS data request per RDP procedure.

One of the following:
const SubmittedGetResponseRegWhoRequestRegWhoRequestTypeDisclosure SubmittedGetResponseRegWhoRequestRegWhoRequestType = "disclosure"
const SubmittedGetResponseRegWhoRequestRegWhoRequestTypeInvalidWhois SubmittedGetResponseRegWhoRequestRegWhoRequestType = "invalid_whois"
RegWhoRequestedDataElements []SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement

The specific WHOIS data elements being requested per RDP 10.2.2. Required for all WHOIS requests.

One of the following:
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementRegistrantName SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "registrant_name"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementRegistrantOrganization SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "registrant_organization"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementRegistrantEmail SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "registrant_email"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementRegistrantPhone SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "registrant_phone"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementRegistrantAddress SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "registrant_address"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementRegistrantAddressCountry SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "registrant_address_country"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementRegistrantAddressPostalCode SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "registrant_address_postal_code"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementAdminName SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "admin_name"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementAdminOrganization SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "admin_organization"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementAdminEmail SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "admin_email"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementAdminPhone SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "admin_phone"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementAdminAddress SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "admin_address"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementTechName SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "tech_name"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementTechOrganization SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "tech_organization"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementTechEmail SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "tech_email"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementTechPhone SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "tech_phone"
const SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElementTechAddress SubmittedGetResponseRegWhoRequestRegWhoRequestedDataElement = "tech_address"
RegWhoAuthorizationStatement stringOptional

Optional authorization statement or power of attorney per RDP 10.2.1.3.

maxLength5000
RegWhoRequestorType SubmittedGetResponseRegWhoRequestRegWhoRequestorTypeOptional

The nature of the requestor per RDP 10.2.1.2.

One of the following:
const SubmittedGetResponseRegWhoRequestRegWhoRequestorTypeGovernment SubmittedGetResponseRegWhoRequestRegWhoRequestorType = "government"
const SubmittedGetResponseRegWhoRequestRegWhoRequestorTypeCorporation SubmittedGetResponseRegWhoRequestRegWhoRequestorType = "corporation"
const SubmittedGetResponseRegWhoRequestRegWhoRequestorTypeIndividual SubmittedGetResponseRegWhoRequestRegWhoRequestorType = "individual"
ReportedCountry stringOptional

Country associated with the reported activity.

ReportedUserAgent stringOptional

User agent associated with the reported activity.

SourceIPs []stringOptional

Source IP addresses supplied with a network abuse report.

Submitter SubmittedGetResponseSubmitterOptional

Information about the submitter of the report.

Company stringOptional
Email stringOptional
Name stringOptional
Telephone stringOptional
Subtypes []stringOptional

Additional abuse classifications supplied with the report.

Title stringOptional

Title supplied with the report.

Udrp stringOptional

The string “on” when a UDRP proceeding applies to the report; otherwise omitted.

Urs stringOptional

The string “on” when a URS proceeding applies to the report; otherwise omitted.

Get a submitted abuse report

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/abuse_reports"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  submitted, err := client.AbuseReports.Submitted.Get(
    context.TODO(),
    "report_id",
    abuse_reports.SubmittedGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", submitted.ID)
}
{
  "result": {
    "id": "id",
    "cdate": "2019-12-27T18:11:19.117Z",
    "denial_reason": "unable_to_confirm",
    "domain": "domain",
    "dsa_attestation": true,
    "status": "submitted",
    "type": "PHISH",
    "urls": [
      "string"
    ],
    "agent_name": "agent_name",
    "comments": "comments",
    "court": "court",
    "destination_ips": [
      "string"
    ],
    "host_notification": "host_notification",
    "justification": "justification",
    "ncmec_notification": "ncmec_notification",
    "ncsei_subject_representation": true,
    "original_work": "original_work",
    "owner_notification": "owner_notification",
    "ports_protocols": [
      "string"
    ],
    "reg_who_request": {
      "reg_who_good_faith_affirmation": true,
      "reg_who_lawful_processing_agreement": true,
      "reg_who_legal_basis": "reg_who_legal_basis",
      "reg_who_request_type": "disclosure",
      "reg_who_requested_data_elements": [
        "registrant_name"
      ],
      "reg_who_authorization_statement": "reg_who_authorization_statement",
      "reg_who_requestor_type": "government"
    },
    "reported_country": "reported_country",
    "reported_user_agent": "reported_user_agent",
    "source_ips": [
      "string"
    ],
    "submitter": {
      "company": "company",
      "email": "email",
      "name": "name",
      "telephone": "telephone"
    },
    "subtypes": [
      "string"
    ],
    "title": "title",
    "udrp": "udrp",
    "urs": "urs"
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "id": "id",
    "cdate": "2019-12-27T18:11:19.117Z",
    "denial_reason": "unable_to_confirm",
    "domain": "domain",
    "dsa_attestation": true,
    "status": "submitted",
    "type": "PHISH",
    "urls": [
      "string"
    ],
    "agent_name": "agent_name",
    "comments": "comments",
    "court": "court",
    "destination_ips": [
      "string"
    ],
    "host_notification": "host_notification",
    "justification": "justification",
    "ncmec_notification": "ncmec_notification",
    "ncsei_subject_representation": true,
    "original_work": "original_work",
    "owner_notification": "owner_notification",
    "ports_protocols": [
      "string"
    ],
    "reg_who_request": {
      "reg_who_good_faith_affirmation": true,
      "reg_who_lawful_processing_agreement": true,
      "reg_who_legal_basis": "reg_who_legal_basis",
      "reg_who_request_type": "disclosure",
      "reg_who_requested_data_elements": [
        "registrant_name"
      ],
      "reg_who_authorization_statement": "reg_who_authorization_statement",
      "reg_who_requestor_type": "government"
    },
    "reported_country": "reported_country",
    "reported_user_agent": "reported_user_agent",
    "source_ips": [
      "string"
    ],
    "submitter": {
      "company": "company",
      "email": "email",
      "name": "name",
      "telephone": "telephone"
    },
    "subtypes": [
      "string"
    ],
    "title": "title",
    "udrp": "udrp",
    "urs": "urs"
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ]
}